function [varargin]=onelist(varargin)
%ONELIST    Compiles multiple char/cellstr arrays into one list

% check, organize, and compile char/cellstr arrays
for i=1:nargin
    % check that input is char or cellstr array
    if(~ischar(varargin{i}) && ~iscellstr(varargin{i}))
        error('char and cellstr arrays only')
    end
    
    % char to cellstr then array to column vector
    varargin{i}=cellstr(varargin{i});
    varargin{i}=varargin{i}(:)';
end

% concatinate arguments
varargin=[varargin{:}]';

end